ControlsProcessed (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmc

## Class ControlsProcessed

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.ControlsProcessed

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ControlsProcessed
      extends ASN1Object

       -- Inform follow on servers that one or more controls have already been
       -- processed

       id-cmc-controlProcessed OBJECT IDENTIFIER ::= {id-cmc 32}

       ControlsProcessed ::= SEQUENCE {
           bodyList              SEQUENCE SIZE(1..MAX) OF BodyPartReference
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlsProcessed(BodyPartReference bodyPartRef)` Construct a ControlsProcessed object containing one BodyPartReference.
    `ControlsProcessed(BodyPartReference[] bodyList)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BodyPartReference[]` | `getBodyList()`
    `static ControlsProcessed` | `getInstance(java.lang.Object src)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ControlsProcessed

          public ControlsProcessed(BodyPartReference bodyPartRef)

      Construct a ControlsProcessed object containing one BodyPartReference.
      Parameters:
        `bodyPartRef` - the BodyPartReference to be contained.

    - #### ControlsProcessed

          public ControlsProcessed(BodyPartReference[] bodyList)

  - ### Method Detail

    - #### getInstance

          public static ControlsProcessed getInstance(java.lang.Object src)

    - #### getBodyList

          public BodyPartReference[] getBodyList()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.